Package de.geolykt.starloader.mod

# Enum Class DiscoveredExtension.LoadStatus

java.lang.Object
java.lang.Enum<DiscoveredExtension.LoadStatus>
de.geolykt.starloader.mod.DiscoveredExtension.LoadStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<DiscoveredExtension.LoadStatus>`, `Constable`

Enclosing class:
  `DiscoveredExtension`

public static enum DiscoveredExtension.LoadStatus extends Enum<DiscoveredExtension.LoadStatus>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FAILED_TO_SETUP_CLASSLOADER`
`INVALID_NAME`
`LOAD_FAILED`
`LOAD_SUCCESS`
`MISSING_DEPENDENCIES`
`NO_ENTRYPOINT`

## Method Summary

Modifier and Type
Method
Description
`@NotNull String`
`getMessage()`
`static DiscoveredExtension.LoadStatus`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DiscoveredExtension.LoadStatus[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FAILED_TO_SETUP_CLASSLOADER

public static final DiscoveredExtension.LoadStatus FAILED_TO_SETUP_CLASSLOADER

### INVALID_NAME

public static final DiscoveredExtension.LoadStatus INVALID_NAME

### LOAD_FAILED

public static final DiscoveredExtension.LoadStatus LOAD_FAILED

### LOAD_SUCCESS

public static final DiscoveredExtension.LoadStatus LOAD_SUCCESS

### MISSING_DEPENDENCIES

public static final DiscoveredExtension.LoadStatus MISSING_DEPENDENCIES

### NO_ENTRYPOINT

public static final DiscoveredExtension.LoadStatus NO_ENTRYPOINT

## Method Details

### values

public static DiscoveredExtension.LoadStatus[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static DiscoveredExtension.LoadStatus valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getMessage

@NotNull public @NotNull String getMessage()